package de.duehl.basics.system.launcher.data;

/*
 * Copyright 2024 Christian Dühl. All rights reserved.
 *
 * This program is free software. You can redistribute it and/or
 * modify it under the same terms as perl:
 *
 * general:  http://dev.perl.org/licenses/
 * GPL:      http://dev.perl.org/licenses/gpl1.html
 * artistic: http://dev.perl.org/licenses/artistic.html
 */

public class JarWithVersion {

    private String jarFilename;

    private String version;

    public JarWithVersion() {
        jarFilename = "";
        version = "";
    }

    public String getJarFilename() {
        return jarFilename;
    }

    public void setJarFilename(String jarFilename) {
        this.jarFilename = jarFilename;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }

    @Override
    public String toString() {
        return "JarWithVersion [jarFilename=" + jarFilename + ", version=" + version + "]";
    }

}
